# CMAKE generated file: DO NOT EDIT!
# Generated by "MinGW Makefiles" Generator, CMake Version 3.3

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

SHELL = cmd.exe

# The CMake executable.
CMAKE_COMMAND = "c:\Program Files (x86)\CMake\bin\cmake.exe"

# The command to remove a file.
RM = "c:\Program Files (x86)\CMake\bin\cmake.exe" -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = D:\ft262\ucdn-master

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = D:\ft262\build_ucdn

# Include any dependencies generated for this target.
include CMakeFiles/ucdn.dir/depend.make

# Include the progress variables for this target.
include CMakeFiles/ucdn.dir/progress.make

# Include the compile flags for this target's objects.
include CMakeFiles/ucdn.dir/flags.make

CMakeFiles/ucdn.dir/ucdn.c.obj: CMakeFiles/ucdn.dir/flags.make
CMakeFiles/ucdn.dir/ucdn.c.obj: D:/ft262/ucdn-master/ucdn.c
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=D:\ft262\build_ucdn\CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building C object CMakeFiles/ucdn.dir/ucdn.c.obj"
	c:\mingw32\bin\gcc.exe  $(C_DEFINES) $(C_FLAGS) -o CMakeFiles\ucdn.dir\ucdn.c.obj   -c D:\ft262\ucdn-master\ucdn.c

CMakeFiles/ucdn.dir/ucdn.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/ucdn.dir/ucdn.c.i"
	c:\mingw32\bin\gcc.exe  $(C_DEFINES) $(C_FLAGS) -E D:\ft262\ucdn-master\ucdn.c > CMakeFiles\ucdn.dir\ucdn.c.i

CMakeFiles/ucdn.dir/ucdn.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/ucdn.dir/ucdn.c.s"
	c:\mingw32\bin\gcc.exe  $(C_DEFINES) $(C_FLAGS) -S D:\ft262\ucdn-master\ucdn.c -o CMakeFiles\ucdn.dir\ucdn.c.s

CMakeFiles/ucdn.dir/ucdn.c.obj.requires:

.PHONY : CMakeFiles/ucdn.dir/ucdn.c.obj.requires

CMakeFiles/ucdn.dir/ucdn.c.obj.provides: CMakeFiles/ucdn.dir/ucdn.c.obj.requires
	$(MAKE) -f CMakeFiles\ucdn.dir\build.make CMakeFiles/ucdn.dir/ucdn.c.obj.provides.build
.PHONY : CMakeFiles/ucdn.dir/ucdn.c.obj.provides

CMakeFiles/ucdn.dir/ucdn.c.obj.provides.build: CMakeFiles/ucdn.dir/ucdn.c.obj


# Object files for target ucdn
ucdn_OBJECTS = \
"CMakeFiles/ucdn.dir/ucdn.c.obj"

# External object files for target ucdn
ucdn_EXTERNAL_OBJECTS =

libucdn.a: CMakeFiles/ucdn.dir/ucdn.c.obj
libucdn.a: CMakeFiles/ucdn.dir/build.make
libucdn.a: CMakeFiles/ucdn.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --bold --progress-dir=D:\ft262\build_ucdn\CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Linking C static library libucdn.a"
	$(CMAKE_COMMAND) -P CMakeFiles\ucdn.dir\cmake_clean_target.cmake
	$(CMAKE_COMMAND) -E cmake_link_script CMakeFiles\ucdn.dir\link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
CMakeFiles/ucdn.dir/build: libucdn.a

.PHONY : CMakeFiles/ucdn.dir/build

CMakeFiles/ucdn.dir/requires: CMakeFiles/ucdn.dir/ucdn.c.obj.requires

.PHONY : CMakeFiles/ucdn.dir/requires

CMakeFiles/ucdn.dir/clean:
	$(CMAKE_COMMAND) -P CMakeFiles\ucdn.dir\cmake_clean.cmake
.PHONY : CMakeFiles/ucdn.dir/clean

CMakeFiles/ucdn.dir/depend:
	$(CMAKE_COMMAND) -E cmake_depends "MinGW Makefiles" D:\ft262\ucdn-master D:\ft262\ucdn-master D:\ft262\build_ucdn D:\ft262\build_ucdn D:\ft262\build_ucdn\CMakeFiles\ucdn.dir\DependInfo.cmake --color=$(COLOR)
.PHONY : CMakeFiles/ucdn.dir/depend

